curl --request POST \
--url https://app.famulor.io/api/v1/loop/queues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"max_wait_seconds": 1805,
"wrap_up_seconds": 300,
"overflow_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"members": [
{
"membership_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 5
}
]
}
'import requests
url = "https://app.famulor.io/api/v1/loop/queues"
payload = {
"name": "<string>",
"max_wait_seconds": 1805,
"wrap_up_seconds": 300,
"overflow_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": True,
"member_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"members": [
{
"membership_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"capacity": 5
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
max_wait_seconds: 1805,
wrap_up_seconds: 300,
overflow_rule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
active: true,
member_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
members: [{membership_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', capacity: 5}]
})
};
fetch('https://app.famulor.io/api/v1/loop/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"strategy": "longest_idle",
"max_wait_seconds": 123,
"wrap_up_seconds": 123,
"overflow_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"members": [
{
"membership_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 1,
"capacity": 2
}
]
}
}Create a Loop call queue
Creates a Loop call queue. Requires loop:write and a workspace owner or admin credential.
Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Body
1 - 120longest_idle, round_robin, sequential 10 <= x <= 36000 <= x <= 600Legacy member list. Use members for ordered capacity settings.
100Members in queue order with concurrent-call capacity.
100Show child attributes
Show child attributes
Response
Created call queue.
Show child attributes
Show child attributes